Subject: [os2genau_digest] No. 1555
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 23 Sep 2007 00:00:31 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 22 September 2007
 Number  1555
**************************************************

Subjects for today
 
1   Setting processor affinity : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  Setting processor affinity : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 22 Sep 2007 06:58:12 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:   Setting processor affinity

Can anyone point me at a program to set the processor affinity of an 
application under eComstation 2.0 RC2 (I hope OS/2 SMP utilities may 
work but as this SMP of my dual core AMD X2 relies on new ACPI code, 
that may not be the case). I'd like to run Virtualbox/2 on processor 2 
while leaving all other actions on processor 1.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 22 Sep 2007 10:54:19 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  Setting processor affinity

On Sat, 22 Sep 2007 06:58:12 +1000, Ed Durrant wrote:

>Can anyone point me at a program to set the processor affinity of an 
>application under eComstation 2.0 RC2 (I hope OS/2 SMP utilities may 
>work but as this SMP of my dual core AMD X2 relies on new ACPI code, 
>that may not be the case). I'd like to run Virtualbox/2 on processor 2 
>while leaving all other actions on processor 1.

Hmmm. Been a while since I thought about this.

There is a utility that come with the toolkit (from memory) that allows you
to set if an app is SMP capable or not (a bit in the header somewhere).

As for running a specific app on a specific processor, I'm not sure if that
can be done. I'll see if I can look into it for you.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------